package com.sonic.pigeon.service;

import com.sonic.pigeon.domain.input.ReceiveImMsgInput;

/**
 * @description: 发送消息到mq
 * @author: zhenqiang.zhan
 * @create: 2020-02-06 17:56
 **/
public interface CommonSendMqService {

    /**
     * 发送AI聊天的MQ消息
     *
     * @param input
     */
    void sendAiChatMq(ReceiveImMsgInput input);

    /**
     * 发送AI聊天的MQ消息
     *
     * @param input
     */
    void sendAiChatToFrogMq(ReceiveImMsgInput input);

    /**
     * 发送AI聊天的MQ消息
     *
     * @param fromUserId
     * @param toUserId
     * @param content
     */
    void sendAiChatMqV1(Long fromUserId, Long toUserId, String content);

    /**
     * 发送AI聊天的MQ消息
     *
     * @param fromUserId
     * @param toUserId
     * @param content
     */
    void sendAiChatMqV2(Long fromUserId, Long toUserId, String content);

    /**
     * 用户余额不足，发起扣款mq
     *
     * @param userId
     */
    void userBalanceInsufficientCheckoutMq(Long userId);


}
